Duplicator <= 1.2.40 - Arbitrary Code Execution



Description
If installer files, installer.php and installer-backup.php, are not removed by the administrators, a code injection during the database setup step allows to execute arbitrary code on the server.

Affects Plugin

References

URL https://www.synacktiv.com/ressources/advisories/WordPress_Duplicator-1.2.40-RCE.pdf
URL https://snapcreek.com/duplicator/docs/changelog?lite

Classification

Type RCE
OWASP Top 10 A1: Injection
CWE CWE-94

Miscellaneous

Original Researcher Thomas Chauchefoin / Julien Legras
Submitter Thomas Chauchefoin / Julien Legras
Submitter Website https://synacktiv.com
Views 10956
Verified No
WPVDB ID 9123

Timeline

Publicly Published 2018-09-05 (over 1 year ago)
Added 2018-09-05 (over 1 year ago)
Last Updated 2019-11-01 (about 1 month ago)

Our Other Services

Online WordPress Vulnerability Scanner WPScan WordPress Security Plugin